SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'EST_ORC_GLB_MEDICO' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'TP_CAPT_RECEITA'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'EST_ORC_GLB_MEDICO' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE EST_ORC_GLB_MEDICO ADD TP_CAPT_RECEITA CHARACTER

		END
	SET NOCOUNT OFF
	PRINT 'CAMPO TP_CAPT_RECEITA NA TABELA EST_ORC_GLB_MEDICO INSERIDO COM SUCESSO'
END